import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostBeratungslehrer extends JavaObject {
    id: number;
    kuerzel: String | null;
    nachname: String | null;
    vorname: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBeratungslehrer;
    static transpilerToJSON(obj: GostBeratungslehrer): string;
    static transpilerToJSONPatch(obj: Partial<GostBeratungslehrer>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostBeratungslehrer(obj: unknown): GostBeratungslehrer;
